---
title: NetworkInformation.rtt
slug: Web/API/NetworkInformation/rtt
tags:
  - API
  - Experimental
  - Network Information API
  - NetworkInformation
  - Property
  - Read-only
  - Reference
  - rtt
---
<p>{{apiref("Network Information API")}}{{SeeCompatTable}}</p>

<p>The <code><strong>NetworkInformation.rtt</strong></code> read-only property returns the estimated effective round-trip time of the current connection, rounded to the nearest multiple of 25 milliseconds. This value is based on recently observed application-layer RTT measurements across recently active connections. It excludes connections made to a private address space. If no recent measurement data is available, the value is based on the properties of the underlying connection technology.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>rtt</em> = NetworkInformation.rtt</pre>

<h3 id="Return_value">Return value</h3>

<p>A number.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Network Information', '#dom-networkinformation-rtt', 'rtt')}}</td>
   <td>{{Spec2('Network Information')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NetworkInformation.rtt")}}</p>
